Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui.view
Class View

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.basex.gui.layout.BaseXBack
                          org.basex.gui.layout.BaseXPanel
                              org.basex.gui.view.View

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  InfoView, MapView, QueryView, TableView, TextView, TreeView

    public abstract class View

extends BaseXPanel

View observer pattern. All inheriting classes are attached to the views array

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary
`static int` | `hist` History pointer.
`static Nodes[]` | `MARKHIST` Zoomed rectangle history.
`static int` | `maxhist` Maximum history value.
`static int` | `MAXHIST` Maximum history size.
`static Nodes[]` | `NODEHIST` Zoomed rectangle history.
`static boolean` | `painting` Painting flag.
`BaseXPopup` | `popup` Popup reference.
`static java.lang.String[]` | `QUERYHIST` Command history.
`static boolean` | `working` Animation flag.

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Method Summary
`void` | `keyPressed(java.awt.event.KeyEvent e)`
`void` | `keyTyped(java.awt.event.KeyEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`static void` | `notifyContext(Nodes nodes, boolean quick)` Notifies all views of a context change.
`static void` | `notifyFocus(int id, View vw)` Notifies all views of a focus change.
`static void` | `notifyHist(boolean forward)` Moves around in the internal history and notifies all views of a context change.
`static void` | `notifyInit()` Notifies all views of a data reference change.
`static void` | `notifyLayout()` Initializes Fonts.
`static void` | `notifyMark(int mode)` Notifies all views of a selection change.
`static void` | `notifyMark(Nodes mark)` Notifies all views of a selection change.
`static void` | `notifySwitch(Nodes nodes)` Notifies all views of a context switch without storing nodes in the history.
`static void` | `notifyUpdate()` Notifies all views of updates in the data structure.
`static void` | `refreshPopup()` Refreshes the popup instances.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.gui.layout.BaseXPanel
`componentHidden, componentMoved, componentResized, componentShown, help, keyReleased, mouseClicked, mouseDragged, mouseEntered, mouseReleased, mouseWheelMoved`

Methods inherited from class org.basex.gui.layout.BaseXBack
`paintComponent, setMode`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hist

    public static int hist

  History pointer.

### MARKHIST

    public static final Nodes[] MARKHIST

  Zoomed rectangle history.

### maxhist

    public static int maxhist

  Maximum history value.

### MAXHIST

    public static final int MAXHIST

  Maximum history size.

  See Also:
    Constant Field Values

### NODEHIST

    public static final Nodes[] NODEHIST

  Zoomed rectangle history.

### painting

    public static boolean painting

  Painting flag.

### popup

    public BaseXPopup popup

  Popup reference.

### QUERYHIST

    public static final java.lang.String[] QUERYHIST

  Command history.

### working

    public static boolean working

  Animation flag.

Method Detail

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Overrides:
    `keyPressed` in class `BaseXPanel`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`
  Overrides:
    `keyTyped` in class `BaseXPanel`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseExited` in class `BaseXPanel`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseMoved` in class `BaseXPanel`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `BaseXPanel`

### notifyContext

    public static void notifyContext(Nodes nodes,
                                     boolean quick)

  Notifies all views of a context change.

  Parameters:
    `nodes` - new context set
    `quick` - quick switch

### notifyFocus

    public static void notifyFocus(int id,
                                   View vw)

  Notifies all views of a focus change.

  Parameters:
    `id` - focused id
    `vw` - the calling view

### notifyHist

    public static void notifyHist(boolean forward)

  Moves around in the internal history and notifies all views of a context change.

  Parameters:
    `forward` - move forward or backward

### notifyInit

    public static void notifyInit()

  Notifies all views of a data reference change.

### notifyLayout

    public static void notifyLayout()

  Initializes Fonts.

### notifyMark

    public static void notifyMark(int mode)

  Notifies all views of a selection change. The mode flag determines what happens:
  - 0: set currently focused node as marked node
  - 1: add currently focused node
  - 2: toggle currently focused node

  Parameters:
    `mode` - mark mode

### notifyMark

    public static void notifyMark(Nodes mark)

  Notifies all views of a selection change.

  Parameters:
    `mark` - marked nodes

### notifySwitch

    public static void notifySwitch(Nodes nodes)

  Notifies all views of a context switch without storing nodes in the history.

  Parameters:
    `nodes` - new context nodes

### notifyUpdate

    public static void notifyUpdate()

  Notifies all views of updates in the data structure.

### refreshPopup

    public static void refreshPopup()

  Refreshes the popup instances.

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.awt.Component`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD